!=========================================================================
! Copyright (C) GemTalk Systems 1986-2016.  All Rights Reserved.
!
! $Id: rcqremoval.gs 38393 2016-01-08 20:40:59Z lalmarod $
!
! Superclass Hierarchy:
!   RcQueueRemovalSeqNumbers, Array, SequenceableCollection, Collection, Object.
!
!=========================================================================

expectvalue %String
run
^ Array _newKernelSubclass: 'RcQueueRemovalSeqNumbers'
    instVarNames: #()
    classVars: #()
    classInstVars: #()
    poolDictionaries: #[]
    inDictionary: Globals
    constraints: #[ "unnamed part" SmallInteger ]
    instancesInvariant: false
    isModifiable: false
    reservedOop: 851
%

removeallmethods RcQueueRemovalSeqNumbers
removeallclassmethods RcQueueRemovalSeqNumbers

category: 'For Documentation Installation only'
classmethod: RcQueueRemovalSeqNumbers
installDocumentation

| doc txt |
doc := GsClassDocumentation _newForPrivateGsClass: self.

txt := (GsDocText new) details:
'RcQueueRemovalSeqNumbers describes an Array that is constrained to contain only
 SmallIntegers.  It has no added protocol or instance variables and is used only
 to ensure the consistency of the objects used to represent RcQueues.'.
doc documentClassWith: txt.

self description: doc.
%

category: 'Private'
method: RcQueueRemovalSeqNumbers
_refreshAfterCommitFailure

"Returns whether the receiver should be selectively aborted when there is a
 failed attempt to commit.  Only special Reduced Objects should answer true."

^ true
%

