!=========================================================================
! Copyright (C) GemTalk Systems 1986-2016.  All Rights Reserved.
!
! $Id: SystemLoginNotification.gs 38393 2016-01-08 20:40:59Z lalmarod $
!
! Superclass Hierarchy:
!   SystemLoginNotification, Object
!
!=========================================================================

expectvalue %String
doit
| oldCls newCls |
oldCls := Globals at:#SystemLoginNotification otherwise: nil .
oldCls == nil ifTrue:[
Object  _newKernelSubclass: #SystemLoginNotification
  instVarNames: #()
  classVars: #( Subscriptions)
  classInstVars: #()
  poolDictionaries: #[]
  inDictionary: Globals
  constraints: #[]
  instancesInvariant: false
  isModifiable: true
  reservedOop: nil.
(Globals at:#SystemLoginNotification) immediateInvariant.
"move the association for Subscriptions into Segment 0"
((Globals at:#SystemLoginNotification) _classVars associationAt: #Subscriptions) assignToSegment: nil.
newCls := (Globals at:#SystemLoginNotification) .
  ^ 'created new class: ' + newCls definition
 ]
ifFalse:[
  ^ 'existing class: ' + oldCls definition
 ]
%

! Remove existing behavior from SystemLoginNotification
doit
SystemLoginNotification removeAllMethods.
SystemLoginNotification class removeAllMethods.
true
%
! ------------------- Class methods for SystemLoginNotification
category: 'notification'
classmethod: SystemLoginNotification
sessionStart
    "Nothing by default"
%
