!=========================================================================
! Copyright (C) GemTalk Systems 1986-2016.  All Rights Reserved.
!
! $Id$
!
! Description - Fix up extended character table if needed.
! 
! Repository conversion - this file is used
!
!=======================================================================

!
! Bug 40242:
!
! Fix up Extended Character Tables, if present and needed.
!
expectvalue %String
run
| result |
result := Character _convertCharTableDB2QB.
result isNil ifTrue: [ ^ 'Extended character table not used.' ].
result ifFalse: [  ^ 'Extended character table already in QB format.' ].
" At this point, we've updated the table - commit to save it "
System _commitPrintingDiagnostics ifFalse:[ 
    ^ nil error: 'Problem committing change to extended character table' ].
^ 'Extended character set table converted from DB to QB format.'.
%
