!=========================================================================
! Copyright (C) GemTalk Systems 1986-2016.  All Rights Reserved.
!
! $Id: positio.gs 19139 2008-05-30 23:48:14Z stever $
!
! Superclass Hierarchy:
!   PositionableStream, Stream, Object.
!
!=========================================================================

! See Bug #39503 for some background. Customers can modify this global 
! to ensure that updates keep the expected behavior (whether legacy or ANSI)
run
Globals
	at: #'PositionableStream_position'
	ifAbsentPut: [(Globals includesKey: #'DbfHistory') 
		ifTrue:  [#'Legacy']	"this is a database upgrade so keep old behavior"
		ifFalse: [#'Legacy']	"this is a new database; switch to #'ANSI' in 3.0"
	].
PositionableStream compilePositionMethods.
%
